rasters causing qgis to crash
Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13573

Description

Using r15215 under Ubuntu.

I think I found some kind of raster that causes QGIS to crash when the project CRS is not equal to the raster crs.

[Note1: Yes, I know that QGIS can't reproject rasters, but I guess that this kind of crashes should be avoided.]

[Note2: I don't see the same happen with the rasters in the qgis sample data set]

Example:

*) pick the attached raster, it is a geotiff defined in epsg:3763

*) set the project CRS as wgs84, epsg:4326

*) the raster obviously disappear from the canvas.

*) try zooming to the layer and/or changing the zoom level with the mouse wheel: QGIS starts eating memory and after a few seconds it

crashes. Seg Fault.

*) I found other similar rasters that cause instant crash when the project crs is set to wgs84 and the user try to zoom to the layer

If it warp the same sample raster in wgs84 and I try the other way (project in epsg:3763) qgis does not crash.

I tested also r15223 with same results.

History

#1 - 2011-02-21 08:41 AM - Paolo Cavallini

Confirmed. Syslog says:

Feb 21 17:39:40 ursus kernel: [35706.012419] qgis.binr31635: segfault at 7f86100cb000 ip 00007f865393e761 sp 00007ffff0f25ea8 error 6 in

libc-2.11.2.so[7f86538bf000+158000]

#2 - 2011-03-08 05:39 AM - Anne Ghisla

I can't reproduce the bug, with Fedora 14 up-to-date and QGIS .
Any hint of different package versions between Fedora and Ubuntu?

#3 - 2011-03-09 01:57 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Well... now with raster OTFR this problem is certainly fixed. At least in my Ubuntu box. Reopen if necessary.

Files

testpct.tif 90.1 KB 2011-02-20 Giovanni Manghi

testpctwgs84.tif 82.2 KB 2011-02-20 Giovanni Manghi
